﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;

namespace DataAccess.EFCore.Models;

public partial class TestapiContext : DbContext
{
    public TestapiContext(DbContextOptions<TestapiContext> options)
        : base(options)
    {
    }

    public virtual DbSet<Estimate> Estimates { get; set; }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder
            .UseCollation("utf8mb4_0900_ai_ci")
            .HasCharSet("utf8mb4");

        modelBuilder.Entity<Estimate>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("PRIMARY");

            entity.ToTable("estimate");

            entity.Property(e => e.Id).HasColumnName("id");
            entity.Property(e => e.Country)
                .IsRequired()
                .HasMaxLength(50)
                .HasColumnName("country");
            entity.Property(e => e.ProductionAmount).HasColumnName("production_amount");
            entity.Property(e => e.ProductionDate)
                .HasColumnType("datetime")
                .HasColumnName("production_date");
            entity.Property(e => e.ProductionType)
                .IsRequired()
                .HasMaxLength(50)
                .HasColumnName("production_type");
        });

        OnModelCreatingPartial(modelBuilder);
    }

    partial void OnModelCreatingPartial(ModelBuilder modelBuilder);
}